%define appname binutils
%define mainVer 2.18.50
%define subVer 20080109
%define target i386-mingw32

# Don't build debuginfo packages
%define debug_package %{nil}

Summary:   A GNU collection of binary utilities for the MinGW cross compiler
Name:      mingw-%{appname}
Version:   %{mainVer}
Release:   12hl
License:   GPL
Packager:  Hans Leidekker <hans@it.vu.nl>
Vendor:    Hans Leidekker <hans@it.vu.nl>

Group:     Development/Tools
URL:       http://sourceforge.net/projects/mingw
Source:    http://prdownloads.sourceforge.net/mingw/%{appname}-%{mainVer}-%{subVer}-src.tar.gz

Buildroot: %{_tmppath}/%{name}-root
Obsoletes: binutils-mingw

%description
This package contains a collection of binary utilities. This package is part of the MinGW cross compiler environment for Linux. The source of this package is %{appname}-%{mainVer}-%{subVer}.

%prep

#%setup -q -n %{appname}-%{mainVer}-%{subVer}-src
%setup -q -n %{appname}-%{mainVer}
mkdir build

%build
cd build
../configure --prefix=/usr/local --target=%{target} --disable-nls --with-gcc --with-gnu-as --with-gnu-ld --disable-shared -v
make "LDFLAGS=-s" "CFLAGS=-O2 -g0"
cd ..

%install
cd build
make prefix=${RPM_BUILD_ROOT}/usr/local install
rm -f $RPM_BUILD_ROOT/usr/local/info/dir
cd ..

rm ${RPM_BUILD_ROOT}/usr/local/lib/libiberty.a
rm ${RPM_BUILD_ROOT}/usr/local/bin/i386-mingw32-c++filt


%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
/usr/local/*

%changelog
* Sat Jan 26 2008 Hans Leidekker <hans@it.vu.nl>                2.18.50-12hl
- update to binutils-2.18.50-20080109
- rebuild on Fedora Core 8

* Wed May 30 2007 Hans Leidekker <hans@it.vu.nl>                2.17.50-11hl
- rebuild on Fedora Core 7

* Tue Sep 26 2006 Hans Leidekker <hans@it.vu.nl>                2.17.50-10hl
- update to binutils-2.17.50-20060824-1
- rebuild on Fedora Core 6 test 2

* Fri Nov 18 2005 Hans Leidekker <hans@it.vu.nl>                2.16.91-9hl
- update to binutils-2.16.91-20050827-1
- rebuild on Fedora Core 4

* Mon Mar 21 2005 Hans Leidekker <hans@it.vu.nl>                2.15.94-8hl
- update to binutils-2.15.94-20050118-1
- rebuild on Fedora Core 4 test 1

* Sat Dec 18 2004 Hans Leidekker <hans@it.vu.nl>                2.15.91-7hl
- rename to mingw-binutils
- rebuild on Fedora Core 3

* Sat Oct 02 2004 Hans Leidekker <hans@it.vu.nl>                2.15.91-6hl
- update to binutils-2.15.91-20040904-1
- rebuild on Fedora Core 3 test 2

* Sat Aug 07 2004 Hans Leidekker <hans@it.vu.nl>                2.15.90-5hl
- rebuild on Fedora Core 3 test 1

* Thu Feb 26 2004 Hans Leidekker <hans@it.vu.nl>		2.15.90-4hl
- add BuildPrereq: mingw-runtime
- update to binutils-2.15.90-20040222-1

* Sun Feb 22 2004 Hans Leidekker <hans@it.vu.nl>		2.14.90-3hl
- don't build debuginfo packages
- rebuild on Fedora Core 2 test 1

* Wed Jan 21 2004 Fuhito Suguri <bitwalk@mail15.com>		2.14.90-4bw
- update to binutils-2.14.90-20040120-1

* Wed Dec 24 2003 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	2.14.90-3bw
- rebuild on Fedora Core 1.

* Mon Aug 25 2003 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	2.14.90-2bw
- update to binutils-2.14.90-20030807-1

* Fri Jun 13 2003 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	2.14.90-1bw
- update to binutils-2.14.90-20030612-1

* Mon Jan 13 2003 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	8bw
- update to binutils-2.13.90-20030111-1

* Mon Jan 05 2003 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	7bw
- update to binutils-2.13.90-20030104-1

* Wed Dec 13 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	6bw
- update to binutils-2.13.90-20021209-1

* Wed Nov 06 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	5bw
- rebuild on RH80

* Thu Oct 10 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	4bw
- update to binutils-2.13.90-20020903-2

* Mon Oct 07 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	3bw
- update to binutils-2.13.90-20020903-1

* Sun Oct 06 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	2bw
- eliminate /usr/local/lib/libiberty.a in package. 
- eliminate /usr/local/bin/i386-mingw32-c++filt in package

* Sat Oct 05 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	1bw
- initial Build
